[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / ProofStatus

# Enumeration: ProofStatus

Status of the ownership proof verification process

## Remarks

Represents the different states that an ownership proof can be in during and after verification:
- PENDING: Initial state where verification is in progress or awaiting processing
- FAILED: The proof was rejected due to failing verification checks
- FLAGGED: The proof requires manual review due to suspicious or unclear verification results
- VERIFIED: The proof has passed all verification checks successfully

## Enumeration Members

### FAILED

> **FAILED**: `"rejected"`

#### Defined in

[types.ts:978](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L978)

***

### FLAGGED

> **FLAGGED**: `"flagged"`

#### Defined in

[types.ts:979](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L979)

***

### PENDING

> **PENDING**: `"pending"`

#### Defined in

[types.ts:977](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L977)

***

### VERIFIED

> **VERIFIED**: `"verified"`

#### Defined in

[types.ts:980](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L980)
