[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / DeclarationProof

# Interface: DeclarationProof

Ownership Proof using Self Declaration

## Extends

- [`OwnershipProof`](OwnershipProof.md)

## Properties

### address

> **address**: \`$\{string\}:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`address`](OwnershipProof.md#address)

#### Defined in

[types.ts:1048](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L1048)

***

### attestation

> **attestation**: `string`

#### Defined in

[types.ts:1093](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L1093)

***

### confirmed

> **confirmed**: `boolean`

#### Defined in

[types.ts:1094](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L1094)

***

### did

> **did**: \`did:$\{string\}:$\{string\}\`

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`did`](OwnershipProof.md#did)

#### Defined in

[types.ts:1047](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L1047)

***

### status

> **status**: [`ProofStatus`](../enumerations/ProofStatus.md)

#### Inherited from

[`OwnershipProof`](OwnershipProof.md).[`status`](OwnershipProof.md#status)

#### Defined in

[types.ts:1046](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L1046)

***

### type

> **type**: [`SelfDeclaration`](../enumerations/ProofTypes.md#selfdeclaration)

#### Overrides

[`OwnershipProof`](OwnershipProof.md).[`type`](OwnershipProof.md#type)

#### Defined in

[types.ts:1092](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/06342c6adf6f9cad152dcf6ecd0c80e7eb65778c/src/types.ts#L1092)
